S3 Delete Object
  • 31 May 2023
  • Dark
    Light

S3 Delete Object

  • Dark
    Light

Article summary

DELETEhttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/<your-key>

Removes an object from a bucket and Backblaze B2 Cloud Storage. The inclusion of a versionId in the request will determine the behavior of this operation:

  • If a versionId is included in the request, an object will be permanently deleted from a bucket and Backblaze B2 Cloud Storage.
  • If no versionId is included in the request, a delete marker will be inserted. This delete marker will become the current version of the object.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

versionId

Version ID used to reference a specific version of the object for deletion.

PATH VARIABLES

bucket

Required. The name of the bucket

key

Required. Key of the object to be deleted.

Example Request

curl --location --request DELETE 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/object-1'

Example Response

204 NO CONTENT

Body

No response body

This request doesn't return any response body


Headers (8)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

x-amz-delete-marker

true

x-amz-version-id

4_z6145af89f355ac2f74ed0c1b_f411debfc7f401b47_d20220128_m232545_c004_v0402003_t0045

Cache-Control

max-age=0, no-cache, no-store

Content-Type


Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?